summaryrefslogtreecommitdiff
path: root/www-misc/pglogd/files
Side-by-side diff
Diffstat (limited to 'www-misc/pglogd/files') (more/less context) (ignore whitespace changes)
-rw-r--r--www-misc/pglogd/files/digest-pglogd-2.33
-rw-r--r--www-misc/pglogd/files/pglogd-2.3-path.patch11
-rw-r--r--www-misc/pglogd/files/pglogd.init20
3 files changed, 34 insertions, 0 deletions
diff --git a/www-misc/pglogd/files/digest-pglogd-2.3 b/www-misc/pglogd/files/digest-pglogd-2.3
new file mode 100644
index 0000000..1d5af03
--- a/dev/null
+++ b/www-misc/pglogd/files/digest-pglogd-2.3
@@ -0,0 +1,3 @@
+MD5 49e494598d1502cf2a20356146fab654 pglogd-2.3.tar.gz 22796
+RMD160 7e9264af8130b3fb5bd3dc89718fb4dfa28e1ec6 pglogd-2.3.tar.gz 22796
+SHA256 2a0e81cc0e0ab3132a48f11834908fdc6b8e4d70c0e6c12dff8815bc93582e78 pglogd-2.3.tar.gz 22796
diff --git a/www-misc/pglogd/files/pglogd-2.3-path.patch b/www-misc/pglogd/files/pglogd-2.3-path.patch
new file mode 100644
index 0000000..04d2931
--- a/dev/null
+++ b/www-misc/pglogd/files/pglogd-2.3-path.patch
@@ -0,0 +1,11 @@
+--- pglogd.h.orig 2005-04-26 18:51:47.000000000 +0200
++++ pglogd.h 2005-04-26 18:52:20.000000000 +0200
+@@ -75,7 +75,7 @@
+ #define FIFO "/tmp/.f.PGLOGD" /* FIFO file. */
+ #define LOGFILE "/var/log/pglogd.log" /* File the daemon will log to. */
+
+-#define OVERFLOWFILE "/usr/site/logs/pglogd_overflow"
++#define OVERFLOWFILE "/var/log/pglogd_overflow.log"
+ #define OVERFLOW_WARNING 100 /* Write a warning to the log every n entries in the overflow log. */
+
+ #define MAXSELECTDELAY 30 /* Max time select() will block. */
diff --git a/www-misc/pglogd/files/pglogd.init b/www-misc/pglogd/files/pglogd.init
new file mode 100644
index 0000000..ce7108f
--- a/dev/null
+++ b/www-misc/pglogd/files/pglogd.init
@@ -0,0 +1,20 @@
+#!/sbin/runscript
+# Copyright 1999-2005 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/www-misc/pglogd/files/pglogd.init,v 1.1 2005/05/10 05:07:57 nakano Exp $
+
+depend() {
+ before apache apache2
+}
+
+start() {
+ ebegin "Starting pglogd"
+ start-stop-daemon --start --quiet --make-pidfile --pidfile /var/run/pglogd.pid --exec /usr/sbin/pglogd -- -c /etc/pglogd.conf
+ eend $?
+}
+
+stop() {
+ ebegin "Stopping pglogd"
+ start-stop-daemon --stop --quiet --pidfile /var/run/pglogd.pid
+ eend $?
+}